Bug 242296 - Date format changed to something much less user friendly IMO
Date format changed to something much less user friendly IMO
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-02 21:47 EDT by Julian Sikorski
Modified: 2007-12-10 17:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-17 17:27:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 4789 None None None Never

  None (edit)
Description Julian Sikorski 2007-06-02 21:47:14 EDT
Description of problem:
After upgrade from fc6, date +%c gives the following (pl_PL):
N, 3 VI 2007, 02:27:59
before, it was looking like that
nie, 3 cze 2007, 02:27:59
I think that the second format is much more readable.
Comment 1 Karol Trzcionka 2007-09-25 10:32:23 EDT
I think the Fedora should patch the glibc because the upstream does not want to
do it.
File to patching: <path_to_sourcedir>/localedata/locales/pl_PL (after
installation: /usr/share/i18n/locales/pl_PL ).
Comment 2 Karol Trzcionka 2007-09-25 10:39:58 EDT
- at now the abmon is archaic mothod of abbreviation
- there are problems with applications (e.g. calendar in evolution)
- now it is useless and not user-friendly
The polish experts opinion says that the previous method of abreviating days and
months IS correct in computer industry.
Comment 3 Julian Sikorski 2007-09-25 14:51:10 EDT
I think something like Wto, 25 Sie 2007 looks a bit better. 
Comment 4 Jakub Jelinek 2007-09-26 12:36:40 EDT
We now have 3 different groups, each pushing a different format.
For %b wrz vs. IX vs. 9, and then various different layouts of D_T_FMT, D_FMT
and T_FMT.
If you want this changed, can you (or ask somebody else to) please organize an
internet poll among Polish Linux users, which states all the various proposed
changes and let people choose from them, then invite people in various LUGs,
distros, those commenting in the various bugzilla bugs about this, etc.
Comment 5 Karol Trzcionka 2007-10-01 13:29:43 EDT
I organize poll http://karlik.nonlogic.org/blog/wpisy/ogolne/daty-w-glibc-sonda .
Comment 6 Karol Trzcionka 2007-10-14 15:01:00 EDT
There has not been a lot of interest about poll, but I think I can sum it up.
In conclusion of poll about day abbs:
# pon, wto, śro, czw, pią, sob, nie (47%, 425 Votes)
# Pn, Wt, Śr, Cz, Pt, So, Nd, (27%, 249 Votes)
# pn., wt., śr., czw., pt., sob., ndz. (10%, 95 Votes)
# PN,WT,SR,CZW,PT,SO,ND (5%, 48 Votes)
# pon., wto., śro., czw., pią., sob., nie. (4%, 38 Votes)
# Po,Wt,Śr,Czw,Pt,So,N (3%, 25 Votes)
# inna (podaj w komentarzu) (2%, 18 Votes) <= in comments are e.g. "pn, wt, śr,
cz, pt, so, nd"
# pon., wt., śr., czw., piąt., sob., niedz. (1%, 11 Votes)
Well... in the glibc should be these abbreviations:

Abbreviations of months:
# trzy pierwsze litery (sty,lut,mar,kwi,maj,cze,lip,sie,wrz,paź,lis,gru) (81%,
519 Votes)
# rzymskie liczby (I,II,III,IV,V,VI,VII,VIII,IX,X,XI,XII) (17%, 108 Votes)
# inna zgodna z normami (podaj w komentarzu) (3%, 17 Votes)
So in the glibc should be these abbreviations:

The D_FMT:
# liczbowa arabska z uzupełniającym zerem (01,02…12), %d.%m.%Y, np. 01.01.1970
(62%, 528 Votes)
# z użyciem skrótów miesięcy, %d %b %Y, np. 01 I 1970, 01 sty 1970 (36%, 303 Votes)
# inna (podaj w komentarzu) (3%, 22 Votes) <= most of these votes are for iso-8601
I did not organize more polls (e.g. for D_T_FMT). I think good idea is to not
change D_T_FMT (IMHO there should be change only abbs not *FMT, but I made a
poll as you wish).
Comment 7 Ulrich Drepper 2007-10-14 16:52:37 EDT
I've made changes upstream in cvs.
Comment 8 Karol Trzcionka 2007-10-17 17:27:05 EDT
I think I can close the bug. :)
Comment 9 Marcin Zajaczkowski 2007-12-10 12:48:17 EST
Sorry for digging up a bug closed almost 2 months ago, but I have just installed
F8 (earlier had FC6) and noticed that "locale's date representation" (date +%x)
had been changed.
In previous versions there was %Y-%m-%d (e.g. 2007-12-20), now %d.%m.%Y
(20.12.2007). At it was detailed in already mentioned bug:
in Poland accepted standard is PN-EN 28601:2002 (aka ISO_8601).
http://www.pkn.pl/index.php?a=show&m=katalog&id=463318&page=1 (Polish Committee
for Standarization)
which defines date as 2007-12-20.

Because there was no question about that date format in Karol's poll (it appears 
only in the first question about fixed number of digits with leading zeros vs.
that with months abbreviation (like 01 I 1970, 01 sty 1970)) I suspect that it
could be changed accidentally in Fedora version and unnecessary breaks standard.
Comment 10 Julian Sikorski 2007-12-10 17:28:58 EST
It was not included, since it is an international format that can be obtained
easily. There are comments about that in one of the sourceware bugs iirc.

Note You need to log in before you can comment on or make changes to this bug.